### Method

# Qmi MessageDmsSwiGetCurrentFirmwareOutput ref

since: 1.18

#### Declaration [src]

    QmiMessageDmsSwiGetCurrentFirmwareOutput*
    qmi_message_dms_swi_get_current_firmware_output_ref (
      QmiMessageDmsSwiGetCurrentFirmwareOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.18

#### Return value

Type: `QmiMessageDmsSwiGetCurrentFirmwareOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.